Scriptname ChinookGoAliasScript extends ReferenceAlias

Event OnPackageStart(package ChinookGoPackage)
	ObjectReference FeRef = ChinookFeTarg.GetReference()
	If FeRef.GetItemCount(ChinookEaten) == 1
		Debug.Notification("Chinook has eaten that already.")
		ChinookGo.Clear()
		ChinookFeTarg.Clear()
	EndIf
EndEvent

Event OnPackageEnd(package ChinookGoPackage)
	Actor FeTarg = ChinookFeTarg.GetActorReference()
	Actor Go = ChinookGo.GetActorReference()
	If ChinookPlayableRaces.HasForm(FeTarg.GetRace())
		Maneater()
	EndIf
	If ChinookPoisonous.HasForm(FeTarg.GetRace())
		ChinookPoisonedSpell.Cast(Go,Go)
	EndIf
	ChinookDialogue.RegisterForSingleUpdate(0.5)
	ChinookGo.Clear()
	ChinookFeTarg.Clear()
EndEvent

Function Maneater()
	float Maneater = ChinookManeater.GetValue()
	ChinookManeater.SetValue(Maneater + 1.0)
EndFunction

Package Property ChinookGoPackage  Auto  

ReferenceAlias Property ChinookFeTarg  Auto  

GlobalVariable Property ChinookManeater  Auto  

ReferenceAlias Property ChinookGo  Auto  

FormList Property ChinookPlayableRaces  Auto

FormList Property ChinookPoisonous Auto

MiscObject Property ChinookEaten Auto

Spell Property ChinookPoisonedSpell Auto 

Quest Property ChinookDialogue Auto
